package com.ruoyi.cs.service;

import java.util.List;
import com.ruoyi.cs.domain.CsSetTemplate;
import com.ruoyi.cs.domain.vo.CsSetTemplateVO;

/**
 * 模版设置Service接口
 *
 * @author ruoyi
 * @date 2024-06-21
 */
public interface ICsSetTemplateService
{
    /**
     * 查询模版设置
     *
     * @param templateId 模版设置主键
     * @return 模版设置
     */
    public CsSetTemplate selectCsSetTemplateByTemplateId(String templateId);

    /**
     * 查询模版设置列表
     *
     * @param csSetTemplate 模版设置
     * @return 模版设置集合
     */
    public List<CsSetTemplate> selectCsSetTemplateList(CsSetTemplate csSetTemplate);

    /**
     * 新增模版设置
     *
     * @param csSetTemplate 模版设置
     * @return 结果
     */
    public int insertCsSetTemplate(CsSetTemplate csSetTemplate);

    /**
     * 修改模版设置
     *
     * @param csSetTemplate 模版设置
     * @return 结果
     */
    public int updateCsSetTemplate(CsSetTemplate csSetTemplate);

    /**
     * 批量删除模版设置
     *
     * @param templateIds 需要删除的模版设置主键集合
     * @return 结果
     */
    public int deleteCsSetTemplateByTemplateIds(String[] templateIds);

    /**
     * 删除模版设置信息
     *
     * @param templateId 模版设置主键
     * @return 结果
     */
    public int deleteCsSetTemplateByTemplateId(String templateId);

    /**
     * 查询模版设置
     *
     * @param formValue 模版设置主键
     * @return 模版设置
     */
    public CsSetTemplate getInfoByFormValue(String formValue);

    /**
     * 根据模板值查询模板内容
     *
     * @param formValue
     * @return
     */
    List<CsSetTemplateVO> searchTemplateContentByFormValue(String formValue);

}
